Subject: Re: [PATCH net-next-2.6 4/7] sctp: remove useless arguments from get_saddr() call

From: Wei Yongjun <[email-masked]>
Date: Tue, 26 Apr 2011 16:06:17 +0800

> From: David Miller <[email-masked]>
> Date: Tue, 26 Apr 2011 00:12:27 -0700 (PDT)
>
>> I really get grumpy when I have to fix up stuff like this:
>>
>> net/sctp/ipv6.c: In function ‘sctp_v6_get_saddr’:
>> net/sctp/ipv6.c:382: warning: unused variable ‘daddr’
> Now I'm even more grumpy, if I only apply the first 3 patches:
>
> net/sctp/ipv6.c: In function ‘sctp_v6_dst_lookup’:
> net/sctp/ipv6.c:259: warning: assignment makes integer from pointer without a cast
>
> it goes away later but you're not testing the intermediate steps
> of your SCTP patch backports and as a result you are going to
> break bisecting.
>
> I'm reverting this patch series, fix this up and actually test
> the intermediate builds and functionality before resubmission.
Hi David

 Sorry for sending those garbage and wasted your time so much,
I will fix those up and do all of the test before resubmit
those patch to you.